BlackBerry Forums Support Community

BlackBerry Forums Support Community (http://www.blackberryforums.com/)
-   Developer Forum (http://www.blackberryforums.com/developer-forum/)
-   -   907 Invalid COD (http://www.blackberryforums.com/developer-forum/253871-907-invalid-cod.html)

akash99g 09-28-2011 01:34 AM

907 Invalid COD
 
I hosted COD and JAD on my webserver.
But, while OTA the download fails with this error: 907 Invalid COD

This is a simple application with a form and some buttons.
These are the steps i performed to generate COD and JAD files.

1. I developed my app By using NetBeans 6.9 with BlackBerry JDE 4.5.0 and LWUIT BlackberryPort.jar.
2. When i build my app with NetBeans, i got App.jad and App.jar files in my distribution folder.
3. I use these JAD and JAR files to generate my COD file with the help of BlackBerry JDE 4.5.0 rapc command.
4. It successfully generates a COD file with some debug files.
5. After extracting COD files, I upload all files to my hosting server with JAD file.

OTA works perfectly fine for BB 9800, 9700 simulators.
but when i try with 8300, 8350i, 8120 I receive this error, "907 Invalid COD".

I tried everything by setting MIME types, clearing simulator cache, change browser type to BB etc. but still i am facing this issue.

Kindly guide me to resolve this problem.

Regards

hrbuckley 09-28-2011 07:25 AM

Re: 907 Invalid COD
 
I suspect your 8300, 8350i and 8120 are not running OS version 4.5 or higher.

akash99g 09-28-2011 08:04 AM

Re: 907 Invalid COD
 
Thanks for the reply,

it is mentioned in a forum that 8300 has v4.5.0, 8350i has v4.6.1 and 8120 is listed under v4.3.0 and v4.5.0.

JDE 4.3.0
8110 8120 8130

JDE 4.5.0
8100 8110 8120 8130 8300 8310 8320 8330 8700 8703e 8800 8820 8830

JDE 4.6.0
9000

JDE 4.6.1
8900 8350i



even i tried with Blackberry JDE 4.3.0 and still same result.
how can i verify my simulator OS. in 8300 simulator --> help --> about, it says: BlackBerry Smartphone Simulator 2.9.0.52... what does it mean?

Dougsg38p 09-28-2011 11:03 AM

Re: 907 Invalid COD
 
Make sure you remove the JAD file prior to doing your "production" build. Sometimes the JAD will contain a reference to an obsolete COD file (like app-3.cod) that does not actually exist in the current build.


All times are GMT -5. The time now is 05:37 PM.

Powered by vBulletin® Version 3.6.12
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.